Summary:        GStreamer integration library for Clutter
Name:           clutter-gst3
Version:        3.0.27
Release:        7%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Clutter
Source0:        https://download.gnome.org/sources/clutter-gst/3.0/clutter-gst-%{version}.tar.xz
Patch3000:      remove-rgbx-bgrx-support.patch

BuildRequires:  make
BuildRequires:  /usr/bin/chrpath
BuildRequires:  pkgconfig(clutter-1.0) pkgconfig(cogl-2.0-experimental) pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0) pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0) pkgconfig(gstreamer-video-1.0) pkgconfig(gudev-1.0)


%description
This package implements an integration library for using GStreamer with Clutter.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use clutter-gst 
API version 3.0.


%prep
%autosetup -p1 -n clutter-gst-%{version}


%build
%configure
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_libdir}/gstreamer-1.0/


%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/girepository-1.0/ClutterGst-3.0.typelib
%{_libdir}/libclutter-gst-3.0.so.*

%files devel
%doc %{_datadir}/gtk-doc/
%{_includedir}/clutter-gst-3.0/
%{_libdir}/libclutter-gst-3.0.so
%{_libdir}/pkgconfig/clutter-gst-3.0.pc
%{_datadir}/gir-1.0/ClutterGst-3.0.gir


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.27-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.27-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.27-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.0.27-4
- Rebuilt for gstreamer1-plugins-base 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.27-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.27-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Wang Guodong <gordonwwang@tencent.com> - 3.0.27-1
- package init.
